Skip to content
Leadtime
English
Esc
↑↓navigate↵open⌘Jpreview

Reorder questions within a component item

Reorders questions within a component item by providing a new sort order array of question IDs. The sort order determines the display order of questions in the UI and affects condition evaluation order. All questions for the item must be included in the newSortOrder array.

POST/projects/{projectId}/items/{itemId}/questions/sort
Authorization
AuthorizationOAuth2 access token · headerrequired
Scopes:api:write
or
AuthorizationBearer token (JWT) · headerrequired
Path parameters
projectIdstringrequired

Project UUID

itemIdstringrequired

Component item UUID. Items are the building blocks within components (Epics, Work Packages, Todo Lists, Test Suites).

Request body
requiredapplication/json
newSortOrderstring[]required

Array of question IDs in new order. All questions for the item must be included.

Responses
200

Questions reordered successfully

successboolean
400

Invalid UUID format or failed to sort questions

401

Unauthorized - Invalid or missing authentication token

403

Insufficient permissions to manage components or access to project denied

404

Item not found or does not belong to a component in the project, or question IDs not found in the item

422

Incomplete sort order: not all questions for the item are included in newSortOrder

Try it
Server
Authorization
Parameters
Bodyapplication/json
Request
curl -X POST "https://leadtime.app/api/public/projects/a47dc37b-7693-4d06-b49c-17084b773aff/items/3047983b-d798-4aff-8dd4-628cf1900703/questions/sort" \
  -H "Authorization: Bearer YOUR_ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "newSortOrder": [
    "f68ed48c-8704-5e17-c5ad-28195c884b00",
    "a47dc37b-7693-4d06-b49c-17084b773aff"
  ]
}'
Response
{
  "success": true
}